Skip to main content
Version: Next

Get QR Transactions

POST /openapi/v1/transaction/qr

Retrieve the list of successful payment transactions via QR code within a specified time range.

Payload before encryption:

{
"from_date": "2026-01-07 00:00:00",
"to_date": "2026-01-07 23:59:59",
"limit": 10,
"page": 1
}
FieldTypeRequiredDescription
from_datestringStart time (YYYY-MM-DD HH:MM:SS)
to_datestringEnd time (YYYY-MM-DD HH:MM:SS)
limitnumberNumber of records per page
pagenumberPage number (starting from 1)
curl --location '<base_url>/openapi/v1/transaction/qr' \
--header 'Partner-Code: YOUR_PARTNER_CODE' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsI…' \
--data '{
"data": ENCRYPTED_PAYLOAD
}'

Request

Headers

NameRequiredDescription
Partner-CodeMerchant identifier code (provided by TCONNECT)
Content-Typeapplication/json
AuthorizationBearer <access_token>

Body

FieldTypeRequiredDescription
datastringAES-256-CBC encrypted payload as Hexadecimal

Response

200 — QR transaction list

FieldTypeDescription
dataarrayList of transactions
data[].order_idstringYour order ID
data[].amountstringTransaction amount (VND)
data[].trn_ref_nostringBank transaction reference code
data[].narrativestringTransfer description
data[].txn_init_dtstringTransaction date and time (YYYY-MM-DD HH:mm:ss)
pagination.pageintegerCurrent page
pagination.limitintegerRecords per page
pagination.total_itemsintegerTotal number of records
pagination.total_pagesintegerTotal number of pages